summaryrefslogtreecommitdiff
path: root/arch-linux
diff options
context:
space:
mode:
authorBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:27:37 +0000
committerBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:27:37 +0000
commitb9b5b6e31f7dea12d2413c9a9256a22cead20f90 (patch)
tree965478e74c333070449acbb51d82fe01b62a72d3 /arch-linux
parentdescription (diff)
PATH in examples
Diffstat (limited to 'arch-linux')
-rw-r--r--arch-linux/anytun/PKGBUILD8
-rw-r--r--arch-linux/anytun/examples.patch48
2 files changed, 53 insertions, 3 deletions
diff --git a/arch-linux/anytun/PKGBUILD b/arch-linux/anytun/PKGBUILD
index 2b7e6ce..03b1178 100644
--- a/arch-linux/anytun/PKGBUILD
+++ b/arch-linux/anytun/PKGBUILD
@@ -1,7 +1,7 @@
# Contributor: Bernhard Tittelbach <xro -at- realraum -dot- at>
pkgname="anytun"
pkgver="0.3.1"
-pkgrel=1
+pkgrel=2
pkgdesc="secure anycast tunneling protocol implementation for flexible and fault-tolerant VPNs"
arch=("i686" "x86_64")
url="http://www.anytun.org/"
@@ -16,7 +16,7 @@ replaces=()
backup=("/etc/anytun/autostart")
options=(docs zipman ccache distcc)
install=anytun.install
-source=("http://www.anytun.org/~equinox/$pkgname-$pkgver.tar.gz" "boost-mt.patch")
+source=("http://www.anytun.org/~equinox/$pkgname-$pkgver.tar.gz" "boost-mt.patch" "examples.patch")
noextract=()
md5sums=('a72d47110aa9f8cb42d5fe726a237bd0'
'bc8713a0228af46f7692a85e77927871')
@@ -38,9 +38,11 @@ build() {
#make anyrtpproxy || return 1
echo "==== Tweaking example for Arch ===="
- sed -i 's/groupname nogroup/groupname nobody/' $srcdir/$pkgname-$pkgver/etc/anytun/server/config
+ cd "$srcdir/$pkgname-$pkgver/etc"
+ patch -p0 < ${srcdir}/examples.patch
echo "==== Installing anytun ===="
+ cd "$srcdir/$pkgname-$pkgver/src" || return 1
mkdir -p ${pkgdir}/usr/sbin ${pkgdir}/usr/bin \
${pkgdir}/var/run/anytun ${pkgdir}/var/run/anytun-controld \
${pkgdir}/etc/anytun ${pkgdir}/etc/rc.d/ \
diff --git a/arch-linux/anytun/examples.patch b/arch-linux/anytun/examples.patch
new file mode 100644
index 0000000..f2bb40e
--- /dev/null
+++ b/arch-linux/anytun/examples.patch
@@ -0,0 +1,48 @@
+diff -u -r ../../orig/anytun-0.3.1/etc/anytun/client1/post-up.sh ./client1/post-up.sh
+--- ../../orig/anytun-0.3.1/etc/anytun/client1/post-up.sh 2009-11-02 19:08:13.000000000 +0100
++++ ./client1/post-up.sh 2009-11-03 20:34:45.972617805 +0100
+@@ -1,4 +1,5 @@
+ #!/bin/sh
++PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+
+ ip link set dev $1 up
+ ip link set dev $1 mtu 1400
+diff -u -r ../../orig/anytun-0.3.1/etc/anytun/client2/post-up.sh ./client2/post-up.sh
+--- ../../orig/anytun-0.3.1/etc/anytun/client2/post-up.sh 2009-11-02 19:08:13.000000000 +0100
++++ ./client2/post-up.sh 2009-11-03 20:34:48.145511626 +0100
+@@ -1,4 +1,5 @@
+ #!/bin/sh
++PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+
+ ip link set dev $1 up
+ ip link set dev $1 mtu 1400
+diff -u -r ../../orig/anytun-0.3.1/etc/anytun/client3/post-up.sh ./client3/post-up.sh
+--- ../../orig/anytun-0.3.1/etc/anytun/client3/post-up.sh 2009-11-02 19:08:13.000000000 +0100
++++ ./client3/post-up.sh 2009-11-03 20:34:50.953012507 +0100
+@@ -1,4 +1,5 @@
+ #!/bin/sh
++PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+
+ ip link set dev $1 up
+ ip link set dev $1 mtu 1400
+diff -u -r ../../orig/anytun-0.3.1/etc/anytun/server/config ./server/config
+--- ../../orig/anytun-0.3.1/etc/anytun/server/config 2009-11-03 20:35:44.232174612 +0100
++++ ./server/config 2009-11-02 19:08:13.000000000 +0100
+@@ -56,7 +56,7 @@
+
+ ## change user and group after init
+ username nobody
+-groupname nogroup
++groupname nobody
+
+ ## chroot to /var/run/anytun
+ #chroot /var/run/anytun
+diff -u -r ../../orig/anytun-0.3.1/etc/anytun/server/post-up.sh ./server/post-up.sh
+--- ../../orig/anytun-0.3.1/etc/anytun/server/post-up.sh 2009-11-02 19:08:13.000000000 +0100
++++ ./server/post-up.sh 2009-11-03 20:34:40.015513200 +0100
+@@ -1,4 +1,5 @@
+ #!/bin/sh
++PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+ ip link set dev $1 up
+ ip link set mtu 1400 dev $1
+